/* -*- mode: C; c-file-style: "gnu"; indent-tabs-mode: nil; -*- */
/*
 * Copyright (C) 2012 David Zeuthen <zeuthen@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General
 * Public License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#if !defined (__STORAGED_INSIDE_STORAGED_H__) && !defined (STORAGED_COMPILATION)
#error "Only <storaged/storaged.h> can be included directly."
#endif

#ifndef __STORAGED_VERSION_H__
#define __STORAGED_VERSION_H__

#include <gio/gio.h>

G_BEGIN_DECLS

/**
 * STORAGED_MAJOR_VERSION:
 *
 * The major version of the libstoraged header files.
 */
#define STORAGED_MAJOR_VERSION 2

/**
 * STORAGED_MINOR_VERSION:
 *
 * The minor version of the libstoraged header files.
 */
#define STORAGED_MINOR_VERSION 1

/**
 * STORAGED_MICRO_VERSION:
 *
 * The micro version of the libstoraged header files.
 */
#define STORAGED_MICRO_VERSION 1

/**
 * STORAGED_CHECK_VERSION:
 * @major: The major version to check for.
 * @minor: the minor version to check for.
 * @micro: The micro version to check for.
 *
 * Macro to check against the version of the libstoraged library that
 * is being compiled against.
 *
 * Returns: %TRUE if the version of the libstoraged header files is the
 * same as or newer than the passed in version.
 */
#define STORAGED_CHECK_VERSION(major,minor,micro)    \
    (STORAGED_MAJOR_VERSION > (major) || \
     (STORAGED_MAJOR_VERSION == (major) && STORAGED_MINOR_VERSION > (minor)) || \
     (STORAGED_MAJOR_VERSION == (major) && STORAGED_MINOR_VERSION == (minor) && \
      STORAGED_MICRO_VERSION >= (micro)))


G_END_DECLS

#endif /* __STORAGED_VERSION_H__ */
